Soft-deletes all device registrations for the authenticated user in the given environment.
DELETE
/
sdk
/
{environmentId}
/
deviceRegistrations
Delete all device registrations for authenticated user
curl --request DELETE \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/deviceRegistrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.dynamicauth.com/api/v0/sdk/{environmentId}/deviceRegistrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.dynamicauth.com/api/v0/sdk/{environmentId}/deviceRegistrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currentDeviceRevoked": true
}{
"error": "No jwt provided!"
}{
"error": "Not Found",
"code": "not_found"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
Required string length:
36Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Example:
"95b11417-f18f-457f-8804-68e361f9164f"
Response
All device registrations deleted
Whether the current device was among the revoked devices. If true, the client should log out the user.
Last modified on September 7, 2026
Was this page helpful?
⌘I
Delete all device registrations for authenticated user
